{
    template: '${tmpl}',
        data() {
        return {
            routerHistory: "",
            requestObj: null,
            pagesize: "24",
            currentpage: "1",
            countNameList: "",
            total: null,
            dialogVisible: false,
            nameList: null,
            type: "",
            name: '',
            industry: '',
            bigType: null,
            ncl_list: null,

        }
    },
    created() {
        try {
            /* 初始化页面参数 */
            if (this.$route.query.data) {
                this.routerHistory = { path: '/wins', query: { data: this.$route.query.data } };
                let data = JSON.parse(this.$route.query.data);
                this.requestObj = data;
                this.ncl_list = this.requestObj.ncl_list;
                console.log(data, this.routerHistory, this.requestObj, "vvvvvvvvvvvvvvvvvvvvvvv");
            }
        } catch (e) {
            console.log(e);
        }


    },
    methods: {
        initStates(){
            try {
                /* 初始化页面参数 */
                if (this.$route.query.data) {
                    this.routerHistory = { path: '/wins', query: { data: this.$route.query.data } };
                    let data = JSON.parse(this.$route.query.data);
                    this.requestObj = data;
                    this.ncl_list = this.requestObj.ncl_list;
                    console.log(data, this.routerHistory, this.requestObj, "vvvvvvvvvvvvvvvvvvvvvvv");
                }
            } catch (e) {
                console.log(e);
            };
            try {
                /* 初始化页面参数 */
                if (this.requestObj) {
                    this.$root.loading = true;
                    let data = Object.assign(this.requestObj, {});
                    this.type = this.requestObj.bigType.join();
                    this.industry = this.requestObj.industry.join();
                    this.$root.postReq(`/web/tmquery/toolCtl/getTmNameList`, data).then((d) => {
                        this.$root.loading = false;
                        if (d.status == 0) {
                            if (!d.data || d.data.length == 0) {
                                this.$message('暂无数据');
                            }
                        }
                        this.countNameList = d.data;
                        console.log(this.countNameList);
                        this.paging();
                    });
                }

            } catch (e) {
                console.log(e);
            }

        },

        /*分页 */
        paging(){
            let start = (this.currentpage - 1) * this.pagesize;
            /*
            this.total = Math.ceil(this.countNameList.length / Number(this.pagesize));
            */
            this.total = this.countNameList.length;
            console.log(this.currentpage, this.pagesize, start, this.total);
            this.nameList = this.countNameList.slice(start, Number(start) + Number(this.pagesize));
            console.log(this.nameList);

        },
        goBack(){
            this.$router.push({ path: '/wins', query: { data: this.$route.query.data } });
        },
        currentChange(v){
            console.log(v);
            this.currentpage = v;
            this.paging();
        },
        dialogShow(index){
            this.dialogVisible = true;
            this.name = this.nameList[index];
            let successRateObj = {};
            successRateObj.ncl_list = this.ncl_list;
            successRateObj.tmName = this.name;
            this.$root.loading = true;
            this.$root.postReq(`/web/tmquery/toolCtl/tmPassRate`, successRateObj).then((d) => {
                this.$root.loading = false;
                console.log(d);
                if (d.status == 0) {
                    this.bigType = d.data;
                }
                console.log(d);
                this.bigType = d.data;
            });
        },
        handleClose(done) {
            done();
        }
    },
    mounted: function() {
        try {
            /* 初始化页面参数 */
            if (this.requestObj) {
                console.log(this.requestObj, "!!!!!!!!!!!!!!!!!!!!!!!!1");
                this.$root.loading = true;
                let data = Object.assign(this.requestObj, {});
                this.type = this.requestObj.bigType.join();
                this.industry = this.requestObj.industry[1];
                this.$root.postReq(`/web/tmquery/toolCtl/getTmNameList`, data).then((d) => {
                    this.$root.loading = false;
                    if (d.status == 0) {
                        if (!d.data || d.data.length == 0) {
                            this.$message('暂无数据');
                        }
                        this.countNameList = d.data;
                        console.log(this.countNameList);
                        this.paging();
                    }
                });
            }

        } catch (e) {
            console.log(e);
        }





    },
    vname: "gsb-winsresult"
}
